<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head><meta http-equiv="content-type" content="text/html; charset=UTF-8" />
<title>AbstractDebianMojo xref</title>
<link type="text/css" rel="stylesheet" href="../../../stylesheet.css" />
</head>
<body>
<div id="overview"><a href="../../../../apidocs/net/sf/debianmaven/AbstractDebianMojo.html">View Javadoc</a></div><pre>
<a class="jxr_linenumber" name="L1" href="#L1">1</a>   <strong class="jxr_keyword">package</strong> net.sf.debianmaven;
<a class="jxr_linenumber" name="L2" href="#L2">2</a>   
<a class="jxr_linenumber" name="L3" href="#L3">3</a>   <strong class="jxr_keyword">import</strong> com.github.fracpete.processoutput4j.core.StreamingProcessOutputType;
<a class="jxr_linenumber" name="L4" href="#L4">4</a>   <strong class="jxr_keyword">import</strong> com.github.fracpete.processoutput4j.core.StreamingProcessOwner;
<a class="jxr_linenumber" name="L5" href="#L5">5</a>   <strong class="jxr_keyword">import</strong> com.github.fracpete.processoutput4j.output.CollectingProcessOutput;
<a class="jxr_linenumber" name="L6" href="#L6">6</a>   <strong class="jxr_keyword">import</strong> org.apache.maven.plugin.AbstractMojo;
<a class="jxr_linenumber" name="L7" href="#L7">7</a>   <strong class="jxr_keyword">import</strong> org.apache.maven.plugin.MojoExecutionException;
<a class="jxr_linenumber" name="L8" href="#L8">8</a>   <strong class="jxr_keyword">import</strong> org.apache.maven.plugin.logging.Log;
<a class="jxr_linenumber" name="L9" href="#L9">9</a>   
<a class="jxr_linenumber" name="L10" href="#L10">10</a>  <strong class="jxr_keyword">import</strong> java.io.File;
<a class="jxr_linenumber" name="L11" href="#L11">11</a>  <strong class="jxr_keyword">import</strong> java.io.IOException;
<a class="jxr_linenumber" name="L12" href="#L12">12</a>  <strong class="jxr_keyword">import</strong> java.text.DateFormat;
<a class="jxr_linenumber" name="L13" href="#L13">13</a>  <strong class="jxr_keyword">import</strong> java.text.SimpleDateFormat;
<a class="jxr_linenumber" name="L14" href="#L14">14</a>  <strong class="jxr_keyword">import</strong> java.util.Arrays;
<a class="jxr_linenumber" name="L15" href="#L15">15</a>  <strong class="jxr_keyword">import</strong> java.util.Date;
<a class="jxr_linenumber" name="L16" href="#L16">16</a>  
<a class="jxr_linenumber" name="L17" href="#L17">17</a>  <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">abstract</strong> <strong class="jxr_keyword">class</strong> <a href="../../../net/sf/debianmaven/AbstractDebianMojo.html">AbstractDebianMojo</a> <strong class="jxr_keyword">extends</strong> AbstractMojo
<a class="jxr_linenumber" name="L18" href="#L18">18</a>  {
<a class="jxr_linenumber" name="L19" href="#L19">19</a>  	<strong class="jxr_keyword">private</strong> <strong class="jxr_keyword">static</strong> <strong class="jxr_keyword">final</strong> String SKIP_DEB_PROPERTY = <span class="jxr_string">"skipDeb"</span>;
<a class="jxr_linenumber" name="L20" href="#L20">20</a>  	<strong class="jxr_keyword">private</strong> <strong class="jxr_keyword">static</strong> <strong class="jxr_keyword">final</strong> String RUN_DEB_PROPERTY = <span class="jxr_string">"runDeb"</span>;
<a class="jxr_linenumber" name="L21" href="#L21">21</a>  
<a class="jxr_linenumber" name="L22" href="#L22">22</a>  	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">static</strong> <strong class="jxr_keyword">class</strong> <a href="../../../net/sf/debianmaven/AbstractDebianMojo.html">LogOutput</a> <strong class="jxr_keyword">implements</strong> StreamingProcessOwner
<a class="jxr_linenumber" name="L23" href="#L23">23</a>  	{
<a class="jxr_linenumber" name="L24" href="#L24">24</a>  		<strong class="jxr_keyword">private</strong> Log log;
<a class="jxr_linenumber" name="L25" href="#L25">25</a>  
<a class="jxr_linenumber" name="L26" href="#L26">26</a>  		<strong class="jxr_keyword">public</strong> <a href="../../../net/sf/debianmaven/AbstractDebianMojo.html">LogOutput</a>(Log log)
<a class="jxr_linenumber" name="L27" href="#L27">27</a>  		{
<a class="jxr_linenumber" name="L28" href="#L28">28</a>  			<strong class="jxr_keyword">this</strong>.log = log;
<a class="jxr_linenumber" name="L29" href="#L29">29</a>  		}
<a class="jxr_linenumber" name="L30" href="#L30">30</a>  
<a class="jxr_linenumber" name="L31" href="#L31">31</a>  		<strong class="jxr_keyword">public</strong> StreamingProcessOutputType getOutputType() {
<a class="jxr_linenumber" name="L32" href="#L32">32</a>  			<strong class="jxr_keyword">return</strong> StreamingProcessOutputType.BOTH;
<a class="jxr_linenumber" name="L33" href="#L33">33</a>  		}
<a class="jxr_linenumber" name="L34" href="#L34">34</a>  
<a class="jxr_linenumber" name="L35" href="#L35">35</a>  		<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> processOutput(String line, <strong class="jxr_keyword">boolean</strong> stdout) {
<a class="jxr_linenumber" name="L36" href="#L36">36</a>  			<strong class="jxr_keyword">if</strong> (stdout)
<a class="jxr_linenumber" name="L37" href="#L37">37</a>  				log.info(line);
<a class="jxr_linenumber" name="L38" href="#L38">38</a>  			<strong class="jxr_keyword">else</strong>
<a class="jxr_linenumber" name="L39" href="#L39">39</a>  				log.error(line);
<a class="jxr_linenumber" name="L40" href="#L40">40</a>  		}
<a class="jxr_linenumber" name="L41" href="#L41">41</a>  	}
<a class="jxr_linenumber" name="L42" href="#L42">42</a>  
<a class="jxr_linenumber" name="L43" href="#L43">43</a>  
<a class="jxr_linenumber" name="L44" href="#L44">44</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L45" href="#L45">45</a>  <em class="jxr_javadoccomment">	 * @parameter expression="${deb.package.name}" default-value="${project.artifactId}"</em>
<a class="jxr_linenumber" name="L46" href="#L46">46</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L47" href="#L47">47</a>  	<strong class="jxr_keyword">protected</strong> String packageName;
<a class="jxr_linenumber" name="L48" href="#L48">48</a>  
<a class="jxr_linenumber" name="L49" href="#L49">49</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L50" href="#L50">50</a>  <em class="jxr_javadoccomment">	 * @parameter expression="${deb.package.version}" default-value="${project.version}"</em>
<a class="jxr_linenumber" name="L51" href="#L51">51</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L52" href="#L52">52</a>  	<strong class="jxr_keyword">private</strong> String packageVersion;
<a class="jxr_linenumber" name="L53" href="#L53">53</a>  
<a class="jxr_linenumber" name="L54" href="#L54">54</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L55" href="#L55">55</a>  <em class="jxr_javadoccomment">	 * @parameter expression="${deb.package.revision}" default-value="1"</em>
<a class="jxr_linenumber" name="L56" href="#L56">56</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L57" href="#L57">57</a>  	<strong class="jxr_keyword">protected</strong> String packageRevision;
<a class="jxr_linenumber" name="L58" href="#L58">58</a>  
<a class="jxr_linenumber" name="L59" href="#L59">59</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L60" href="#L60">60</a>  <em class="jxr_javadoccomment">	 * @parameter expression="${deb.package.architecture}" default-value="all"</em>
<a class="jxr_linenumber" name="L61" href="#L61">61</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L62" href="#L62">62</a>  	<strong class="jxr_keyword">protected</strong> String packageArchitecture;
<a class="jxr_linenumber" name="L63" href="#L63">63</a>  
<a class="jxr_linenumber" name="L64" href="#L64">64</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L65" href="#L65">65</a>  <em class="jxr_javadoccomment">	 * @parameter expression="${deb.maintainer.name}" default-value="${project.developers[0].name}"</em>
<a class="jxr_linenumber" name="L66" href="#L66">66</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L67" href="#L67">67</a>  	<strong class="jxr_keyword">protected</strong> String maintainerName;
<a class="jxr_linenumber" name="L68" href="#L68">68</a>  
<a class="jxr_linenumber" name="L69" href="#L69">69</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L70" href="#L70">70</a>  <em class="jxr_javadoccomment">	 * @parameter expression="${deb.maintainer.email}" default-value="${project.developers[0].email}"</em>
<a class="jxr_linenumber" name="L71" href="#L71">71</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L72" href="#L72">72</a>  	<strong class="jxr_keyword">protected</strong> String maintainerEmail;
<a class="jxr_linenumber" name="L73" href="#L73">73</a>  
<a class="jxr_linenumber" name="L74" href="#L74">74</a>  	<em class="jxr_javadoccomment">/** @parameter default-value="${basedir}/src/deb" */</em>
<a class="jxr_linenumber" name="L75" href="#L75">75</a>  	<strong class="jxr_keyword">protected</strong> File sourceDir;
<a class="jxr_linenumber" name="L76" href="#L76">76</a>  
<a class="jxr_linenumber" name="L77" href="#L77">77</a>  	<em class="jxr_javadoccomment">/** @parameter default-value="${basedir}/target" */</em>
<a class="jxr_linenumber" name="L78" href="#L78">78</a>  	<strong class="jxr_keyword">protected</strong> File targetDir;
<a class="jxr_linenumber" name="L79" href="#L79">79</a>  
<a class="jxr_linenumber" name="L80" href="#L80">80</a>  	<em class="jxr_javadoccomment">/** @parameter default-value="${basedir}/target/deb" */</em>
<a class="jxr_linenumber" name="L81" href="#L81">81</a>  	<strong class="jxr_keyword">protected</strong> File stageDir;
<a class="jxr_linenumber" name="L82" href="#L82">82</a>  
<a class="jxr_linenumber" name="L83" href="#L83">83</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L84" href="#L84">84</a>  <em class="jxr_javadoccomment">	 * @parameter expression="${deb.package.snapshotRevFile}"</em>
<a class="jxr_linenumber" name="L85" href="#L85">85</a>  <em class="jxr_javadoccomment">	 * @since 1.0.5</em>
<a class="jxr_linenumber" name="L86" href="#L86">86</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L87" href="#L87">87</a>  	<strong class="jxr_keyword">private</strong> File snapshotRevisionFile = <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L88" href="#L88">88</a>  
<a class="jxr_linenumber" name="L89" href="#L89">89</a>  	<em class="jxr_javadoccomment">/** @parameter default-value="false" */</em>
<a class="jxr_linenumber" name="L90" href="#L90">90</a>  	<strong class="jxr_keyword">private</strong> <strong class="jxr_keyword">boolean</strong> skip;
<a class="jxr_linenumber" name="L91" href="#L91">91</a>  
<a class="jxr_linenumber" name="L92" href="#L92">92</a>  	<strong class="jxr_keyword">private</strong> <strong class="jxr_keyword">static</strong> <strong class="jxr_keyword">final</strong> DateFormat datefmt = <strong class="jxr_keyword">new</strong> SimpleDateFormat(<span class="jxr_string">"yyyyMMddHHmm"</span>);
<a class="jxr_linenumber" name="L93" href="#L93">93</a>  
<a class="jxr_linenumber" name="L94" href="#L94">94</a>  	<strong class="jxr_keyword">private</strong> String snapshotRevision = <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L95" href="#L95">95</a>  
<a class="jxr_linenumber" name="L96" href="#L96">96</a>  	<strong class="jxr_keyword">protected</strong> String processVersion(String version)
<a class="jxr_linenumber" name="L97" href="#L97">97</a>  	{
<a class="jxr_linenumber" name="L98" href="#L98">98</a>  		<strong class="jxr_keyword">if</strong> (snapshotRevision == <strong class="jxr_keyword">null</strong>)
<a class="jxr_linenumber" name="L99" href="#L99">99</a>  		{
<a class="jxr_linenumber" name="L100" href="#L100">100</a> 			Date revtime = snapshotRevisionFile != <strong class="jxr_keyword">null</strong>
<a class="jxr_linenumber" name="L101" href="#L101">101</a> 					? <strong class="jxr_keyword">new</strong> Date(snapshotRevisionFile.lastModified())
<a class="jxr_linenumber" name="L102" href="#L102">102</a> 					: <strong class="jxr_keyword">new</strong> Date();
<a class="jxr_linenumber" name="L103" href="#L103">103</a> 
<a class="jxr_linenumber" name="L104" href="#L104">104</a> 			snapshotRevision = <span class="jxr_string">"+"</span> + datefmt.format(revtime);
<a class="jxr_linenumber" name="L105" href="#L105">105</a> 		}
<a class="jxr_linenumber" name="L106" href="#L106">106</a> 
<a class="jxr_linenumber" name="L107" href="#L107">107</a> 		<strong class="jxr_keyword">return</strong> version.replaceAll(<span class="jxr_string">"-SNAPSHOT"</span>, snapshotRevision);
<a class="jxr_linenumber" name="L108" href="#L108">108</a> 	}
<a class="jxr_linenumber" name="L109" href="#L109">109</a> 
<a class="jxr_linenumber" name="L110" href="#L110">110</a> 	<strong class="jxr_keyword">protected</strong> String[] processVersion(String[] versions)
<a class="jxr_linenumber" name="L111" href="#L111">111</a> 	{
<a class="jxr_linenumber" name="L112" href="#L112">112</a> 		String[] result = <strong class="jxr_keyword">new</strong> String[versions.length];
<a class="jxr_linenumber" name="L113" href="#L113">113</a> 		<strong class="jxr_keyword">for</strong> (<strong class="jxr_keyword">int</strong> i=0 ; i&lt;versions.length ; i++)
<a class="jxr_linenumber" name="L114" href="#L114">114</a> 			result[i] = processVersion(versions[i]);
<a class="jxr_linenumber" name="L115" href="#L115">115</a> 
<a class="jxr_linenumber" name="L116" href="#L116">116</a> 		<strong class="jxr_keyword">return</strong> result;
<a class="jxr_linenumber" name="L117" href="#L117">117</a> 	}
<a class="jxr_linenumber" name="L118" href="#L118">118</a> 
<a class="jxr_linenumber" name="L119" href="#L119">119</a> 	<strong class="jxr_keyword">protected</strong> File newFile(File dir, String name)
<a class="jxr_linenumber" name="L120" href="#L120">120</a> 	{
<a class="jxr_linenumber" name="L121" href="#L121">121</a> 		<strong class="jxr_keyword">return</strong> <strong class="jxr_keyword">new</strong> File(dir.getAbsolutePath() + File.separator + name);
<a class="jxr_linenumber" name="L122" href="#L122">122</a> 	}
<a class="jxr_linenumber" name="L123" href="#L123">123</a> 
<a class="jxr_linenumber" name="L124" href="#L124">124</a> 	<strong class="jxr_keyword">protected</strong> String getPackageVersion()
<a class="jxr_linenumber" name="L125" href="#L125">125</a> 	{
<a class="jxr_linenumber" name="L126" href="#L126">126</a> 		<strong class="jxr_keyword">return</strong> processVersion(packageVersion);
<a class="jxr_linenumber" name="L127" href="#L127">127</a> 	}
<a class="jxr_linenumber" name="L128" href="#L128">128</a> 
<a class="jxr_linenumber" name="L129" href="#L129">129</a> 	<strong class="jxr_keyword">protected</strong> File getPackageFile()
<a class="jxr_linenumber" name="L130" href="#L130">130</a> 	{
<a class="jxr_linenumber" name="L131" href="#L131">131</a> 		<strong class="jxr_keyword">return</strong> newFile(targetDir, String.format(<span class="jxr_string">"%s_%s-%s_all.deb"</span>, packageName, getPackageVersion(), packageRevision));
<a class="jxr_linenumber" name="L132" href="#L132">132</a> 	}
<a class="jxr_linenumber" name="L133" href="#L133">133</a> 
<a class="jxr_linenumber" name="L134" href="#L134">134</a> 	<strong class="jxr_keyword">protected</strong> <strong class="jxr_keyword">void</strong> runProcess(String[] cmd, <strong class="jxr_keyword">boolean</strong> <strong class="jxr_keyword">throw</strong>_on_failure) <strong class="jxr_keyword">throws</strong> IOException, MojoExecutionException
<a class="jxr_linenumber" name="L135" href="#L135">135</a> 	{
<a class="jxr_linenumber" name="L136" href="#L136">136</a> 		ProcessBuilder builder = <strong class="jxr_keyword">new</strong> ProcessBuilder();
<a class="jxr_linenumber" name="L137" href="#L137">137</a> 		builder.command(cmd);
<a class="jxr_linenumber" name="L138" href="#L138">138</a> 
<a class="jxr_linenumber" name="L139" href="#L139">139</a> 		getLog().info(<span class="jxr_string">"Start process: "</span> + Arrays.asList(cmd));
<a class="jxr_linenumber" name="L140" href="#L140">140</a> 
<a class="jxr_linenumber" name="L141" href="#L141">141</a> 		<strong class="jxr_keyword">try</strong>
<a class="jxr_linenumber" name="L142" href="#L142">142</a> 		{
<a class="jxr_linenumber" name="L143" href="#L143">143</a> 			CollectingProcessOutput output = <strong class="jxr_keyword">new</strong> CollectingProcessOutput();
<a class="jxr_linenumber" name="L144" href="#L144">144</a> 			output.monitor(builder);
<a class="jxr_linenumber" name="L145" href="#L145">145</a> 			<strong class="jxr_keyword">int</strong> exitval = output.getExitCode();
<a class="jxr_linenumber" name="L146" href="#L146">146</a> 			<strong class="jxr_keyword">if</strong> (exitval != 0)
<a class="jxr_linenumber" name="L147" href="#L147">147</a> 			{
<a class="jxr_linenumber" name="L148" href="#L148">148</a> 				getLog().warn(<span class="jxr_string">"Exit code: "</span> + exitval);
<a class="jxr_linenumber" name="L149" href="#L149">149</a> 				getLog().warn(<span class="jxr_string">"stderr:\n"</span> + output.getStdErr());
<a class="jxr_linenumber" name="L150" href="#L150">150</a> 				getLog().warn(<span class="jxr_string">"stdout:\n"</span> + output.getStdOut());
<a class="jxr_linenumber" name="L151" href="#L151">151</a> 
<a class="jxr_linenumber" name="L152" href="#L152">152</a> 				<strong class="jxr_keyword">if</strong> (<strong class="jxr_keyword">throw</strong>_on_failure)
<a class="jxr_linenumber" name="L153" href="#L153">153</a> 					<strong class="jxr_keyword">throw</strong> <strong class="jxr_keyword">new</strong> MojoExecutionException(<span class="jxr_string">"Process returned non-zero exit code: "</span> + Arrays.asList(cmd));
<a class="jxr_linenumber" name="L154" href="#L154">154</a> 			}
<a class="jxr_linenumber" name="L155" href="#L155">155</a> 		}
<a class="jxr_linenumber" name="L156" href="#L156">156</a> 		<strong class="jxr_keyword">catch</strong> (MojoExecutionException e)
<a class="jxr_linenumber" name="L157" href="#L157">157</a> 		{
<a class="jxr_linenumber" name="L158" href="#L158">158</a> 			<strong class="jxr_keyword">throw</strong> e;
<a class="jxr_linenumber" name="L159" href="#L159">159</a> 		}
<a class="jxr_linenumber" name="L160" href="#L160">160</a> 		<strong class="jxr_keyword">catch</strong> (Exception e) {
<a class="jxr_linenumber" name="L161" href="#L161">161</a> 		  <strong class="jxr_keyword">throw</strong> <strong class="jxr_keyword">new</strong> IOException(e);
<a class="jxr_linenumber" name="L162" href="#L162">162</a> 		}
<a class="jxr_linenumber" name="L163" href="#L163">163</a> 	}
<a class="jxr_linenumber" name="L164" href="#L164">164</a> 
<a class="jxr_linenumber" name="L165" href="#L165">165</a> 	<strong class="jxr_keyword">protected</strong> <strong class="jxr_keyword">abstract</strong> <strong class="jxr_keyword">void</strong> executeDebMojo() <strong class="jxr_keyword">throws</strong> MojoExecutionException;
<a class="jxr_linenumber" name="L166" href="#L166">166</a> 
<a class="jxr_linenumber" name="L167" href="#L167">167</a> 	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">final</strong> <strong class="jxr_keyword">void</strong> execute() <strong class="jxr_keyword">throws</strong> MojoExecutionException
<a class="jxr_linenumber" name="L168" href="#L168">168</a> 	{
<a class="jxr_linenumber" name="L169" href="#L169">169</a> 		<strong class="jxr_keyword">if</strong> (System.getProperties().containsKey(RUN_DEB_PROPERTY))
<a class="jxr_linenumber" name="L170" href="#L170">170</a> 		{
<a class="jxr_linenumber" name="L171" href="#L171">171</a> 			getLog().info(<span class="jxr_string">"debian-maven execution forced (-DrunDeb)"</span>);
<a class="jxr_linenumber" name="L172" href="#L172">172</a> 			executeDebMojo();
<a class="jxr_linenumber" name="L173" href="#L173">173</a> 		}
<a class="jxr_linenumber" name="L174" href="#L174">174</a> 		<strong class="jxr_keyword">else</strong> <strong class="jxr_keyword">if</strong> (skip)
<a class="jxr_linenumber" name="L175" href="#L175">175</a> 		{
<a class="jxr_linenumber" name="L176" href="#L176">176</a> 			getLog().info(<span class="jxr_string">"debian-maven execution skipped ('skip')"</span>);
<a class="jxr_linenumber" name="L177" href="#L177">177</a> 		}
<a class="jxr_linenumber" name="L178" href="#L178">178</a> 		<strong class="jxr_keyword">else</strong> <strong class="jxr_keyword">if</strong> (System.getProperties().containsKey(SKIP_DEB_PROPERTY))
<a class="jxr_linenumber" name="L179" href="#L179">179</a> 		{
<a class="jxr_linenumber" name="L180" href="#L180">180</a> 			getLog().info(<span class="jxr_string">"debian-maven execution skipped (-DskipDeb)"</span>);
<a class="jxr_linenumber" name="L181" href="#L181">181</a> 		}
<a class="jxr_linenumber" name="L182" href="#L182">182</a> 		<strong class="jxr_keyword">else</strong> <strong class="jxr_keyword">if</strong> (!System.getProperty(<span class="jxr_string">"os.name"</span>).equals(<span class="jxr_string">"Linux"</span>))
<a class="jxr_linenumber" name="L183" href="#L183">183</a> 		{
<a class="jxr_linenumber" name="L184" href="#L184">184</a> 			getLog().warn(<span class="jxr_string">"debian-maven execution skipped (non-linux OS)"</span>);
<a class="jxr_linenumber" name="L185" href="#L185">185</a> 		}
<a class="jxr_linenumber" name="L186" href="#L186">186</a> 		<strong class="jxr_keyword">else</strong>
<a class="jxr_linenumber" name="L187" href="#L187">187</a> 		{
<a class="jxr_linenumber" name="L188" href="#L188">188</a> 			executeDebMojo();
<a class="jxr_linenumber" name="L189" href="#L189">189</a> 		}
<a class="jxr_linenumber" name="L190" href="#L190">190</a> 	}
<a class="jxr_linenumber" name="L191" href="#L191">191</a> }
</pre>
<hr/>
<div id="footer">Copyright &#169; 2012&#x2013;2019. All rights reserved.</div>
</body>
</html>
